#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    ofBackground(255, 255, 255);
    ofSetCircleResolution(64);

    c1.init(100, 10, 1.0, ofColor(255, 0, 0));    //オブジェクトを作成
    c2.init(300, 40, 3.5, ofColor(0, 0, 255));
}

//--------------------------------------------------------------
void ofApp::update(){

    //c1,c2オブジェクトのクラスであるColorCircleクラスのupdate()メソッドを実行
    c1.update();
    c2.update();
}

//--------------------------------------------------------------
void ofApp::draw(){

    //c1,c2オブジェクトのクラスであるColorCircleクラスのdisplayColor()メソッドを実行
    c1.displayColor();
    c2.displayColor();
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){
    
    if(key == OF_KEY_UP){    //上に動く
        c1.faster();
        c2.faster();
    } else if (key == OF_KEY_DOWN) {    //下に動く
        c1.slower();
        c2.slower();
    }
}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
